CICS Transaction Server for z/OS 4.1 detailed system requirements

Product documentation


Abstract

The tables in this document contain the detailed system requirements (DSR) for the supported operating systems, hardware and software requirements, and other related information for CICS Transaction Server for z/OS (CICS TS) V4.1.

Content

CICS TS V4.1 Supported Operating Systems
CICS TS V4.1 Hardware Requirements
CICS TS V4.1 Software Requirements
CICS TS V4.1 Related Information

Note:
When installing CICS TS V4.1, review the
CICS TS V4.1 Program Directory for material and procedures associated with the installation of CICS TS. When upgrading to a new release of CICS, you should always review the Preventive Service Planning (PSP) information for the release of CICS you are installing.

IBM also recommends that you review the upgrading information when changing releases of CICS to determine if there are any known problems that you can avoid.

See Software developers supporting CICS TS V4.1 for a list of Independent Software Vendors (ISVs) that have indicated they support CICS TS V4.1.


CICS TS V4.1 Supported Operating System

z/OS z/OS V1.9 (5994-A01) or later is required. CICS TS V4.1 will not initialize in an environment with a lower level of operating system installed.
  • If used with z/OS V1.9, PTF UA34182 for APAR OA19565 is required.
  • Ensure that the PTFs for the following APARs are applied: OA20352, OA20343, OA19958.
  • If used with WebSphere MQ for z/OS V6.0, then the PTFs for APARs PK38772 and PK42616 are required.




CICS TS V4.1 Hardware Requirements
Processor

  • The basic requirement is a processor that supports the prerequisite operating system and has sufficient processor storage to meet the requirements of the operating system, CICS TS V4.1, the application programs, the access methods, and all other software being run. The operating system requirement limits this to z/Architecture machines.
Parallel Sysplex support
  • CICS support for data sharing can be used to access data in IMS databases, DB2 databases, VSAM data sets, CICS temporary storage, coupling facility data tables, or named counters.
  • A Parallel Sysplex environment is required by each of the data-sharing facilities supported by CICS, and by the MVS system logger's log stream merging facility. This requires one or more coupling facilities with their associated coupling links installed, an IBM sysplex timer to provide a common external time source, and sufficient DASD paths to support the number of central processor complexes (CPCs) in the sysplex. The DASD paths can be provided either by DASD controllers with enough paths to dedicate one to each CPC in the sysplex, or by an ESCON director to provide the paths.
System z cryptographic hardware
  • If you want to exploit the WS-Security capability, which relies upon the z/OS Integrated Cryptographic Services Facility (ICSF), then appropriate System z cryptographic hardware is required. For System z 800 and 900, this hardware is the Cryptographic Coprocessor Feature and the PCI Cryptographic Coprocessor. For System z 890, 990, z9 and z10, it is the CP Assist for Cryptographic Functions and the Crypto Express 2 coprocessor.
Katakana Terminal Devices

  • Because CICS has to issue certain messages in mixed-case, the product is not supported with displays or terminal emulators that are restricted to the non-extended single-byte character set (SBCS) Katakana part of code page 930.




CICS TS V4.1 Software Requirements
Language Environment (LE)
Java™
  • IBM SDK for z/OS, Java 2 Technology Edition, V6, Service Refresh 7 (SR7) or IBM SDK for z/OS, Java 2 Technology Edition V6.0.1 (see APAR PM38397) is required if using Java application programs, enterprise beans, or the CICS Web services assistant. The IBM SDK for z/OS is available, without charge, on tape or by download from: http://www.ibm.com/servers/eserver/zseries/software/java/
    Note: IBM 64-bit SDK for z/OS, Java 2 Technology Edition, V1.4 (5655-M30) is not supported. Also, IBM 31-bit SDK for z/OS, Java 2 Technology Edition, V5 (5655-N98) is not supported.
  • For developing Java programs, a suitable integrated development environment (IDE) is required, such as IBM Rational Developer for System z V7.5. A trial copy of Rational Developer for System z V7.5 is shipped with this release of CICS TS. This unsupported trial copy can be used to gain experience of the advantages of a fully functional mixed language application development environment at no additional charge. A Rational Developer for System z trial download Web site is available at:
    http://www.ibm.com/developerworks/downloads/r/rdz/
  • For developing enterprise beans, one of the following IDEs is recommended: The packaging application (Application Server Toolkit) provided with WebSphere Application Server V6.0, or WebSphere Application Server V6.1 can also be used for the deployment of enterprise beans.
WS-Security
Application Servers

  • CICS TS V4.1 will interoperate with supported levels of WebSphere Application Server (any platform) V6.0, or later. This applies directly for customers using RMI/IIOP or SOAP, and applies to CICS Transaction Gateway (CICS TG) V6.0, or later for those using JCA.
LDAP
  • JNDI support for enterprise beans can be provided by the LDAP server provided in IBM SecureWay Security Server and licensed as part of the base z/OS operating system.
Databases
  • IMS V9.1 (5655-J38)
  • IMS V10.0 (5635-A01)
  • DB2 for z/OS V8.1 (5625-DB2). For JDBC/SQLJ access from an application running in a CICS JVMSERVER, CICS APAR PM32731 and DB2 APAR PM32360 are required.
  • DB2 for z/OS V9.1 (5635-DB2). For JDBC/SQLJ access from an application running in a CICS JVMSERVER, CICS APAR PM32731 and DB2 APARs PM32360 and PM32361 are required.
  • DB2 V10 for z/OS (5605-DB2) see CICS APAR PM25602 for new subgroup attach support. For group attach or non-group attach no APARs are required. For JDBC/SQLJ access from an application running in a CICS JVMSERVER, CICS APAR PM32731 and DB2 APARs PM32360 and PM32361 are required.
WebSphere MQ
WebSphere Business Events
WebSphere Business Monitor
Tivoli Decision Support
Tivoli Business Systems Manager
Tivoli Federated Identity Manager
Tivoli Composite Application Manager
  • Tivoli Composite Application Manager for SOA V6.1 (5724-M07), or later
    The IBM Tivoli Composite Application Manager for SOA product provides monitoring and management of Web services in different environments, and has been enhanced to provide support to monitor CICS Web services. This enhancement added support to consume the data from the WebSphere Registry and Repository and publish into a database. This publishing provides the ability to compare the services that are observed in the environment to the services defined by WebSphere Registry and Repository. IBM Tivoli Composite Application Manager for SOA also provides a mechanism to forward the status events of the Web services to WebSphere Registry and Repository, providing a view of the operational status of Web services in the WebSphere Registry and Repository.
  • Tivoli Composite Application Manager for WebSphere V6.1 (5698-A71)
CICS Universal Client
CICS Transaction Gateway
  • CICS Transaction Gateway (CICS TG) for Multiplatforms V6.0 (5724-I81), or later
  • CICS TG for z/OS V6.0 to V6.1 (5655-M69)
    Note: From V6.0 onwards, this is two products: CICS TG for Multiplatforms and CICS TG for z/OS.
  • CICS TG for z/OS V7.0 (5655-R25), or later
CICSPlex SM
  • If you have downlevel CMASs that will connect to any V4.1 CMASs, you need to apply the PTFs for these toleration APARs to your downlevel CMASs:
    • PK65308 for CICSPlex SM V3.2 (5655-M15)
    • PK65307 for CICSPlex SM V3.1 (5655-M15)
    • PK85932 for CICSPlex SM V2.3 (5697-E93)
  • The CICSPlex SM Web User Interface can be used with all browsers that support HTML V4. IBM has validated the use of the CICSPlex SM Web User Interface with these browsers:
    • Microsoft Internet Explorer V6.x to V7.0
    • Mozilla Firefox V2.x to 3.0
CICS Explorer
  • The CICS Explorer is supported on the following platforms:
    • Microsoft Windows platforms:
      • Windows XP Professional SP2
      • Windows Vista Business, Ultimate
      • Windows 2003 Standard SP1, Enterprise
      • Windows 2008 Standard SP1, Enterprise
    • Linux platforms:
      • SUSE Linux Enterprise Server (SLES) 10
      • Red Hat Enterprise Linux 5.0
    • For all platforms:
      • Only 32-bit platforms supported
      • Only x86 Machines supported

    See Service process for the IBM CICS Explorer for the options that are available to you for obtaining maintenance for the CICS Explorer.
Information Center
  • The Information Center can run locally on a workstation, or run on a server with remote access using a browser. This is supported on the following platforms:
    • IBM AIX V5.3 and V6.1 (64-bit)
    • Microsoft Windows Vista
    • Microsoft Windows XP (32-bit)
    • Red Hat Enterprise Linux V5 (Intel) (32-bit)

    For best results, view the Information Center using one of the following browsers:
    • Microsoft Internet Explorer 6.x, or later
    • Mozilla Firefox 1.x, or later
    PDF files shipped with the Information Center can be read using Adobe Acrobat Reader 5.0, or later, but Adobe Acrobat Reader 6.0, or later, is necessary to benefit from the accessibility features introduced in Adobe Acrobat Distiller 6.0.

    NOTE: For accessibility purposes, screen readers might impose restrictions on browser choice.
CICS Tools and Related Products The following IBM products can be used* with CICS TS V4.1:
*Ensure that the latest levels of service are applied to each IBM product listed. In some cases, the latest version of a product might be required to take advantage of new function in CICS TS V4.1.
Compatibility
COBOL, PL/I, C/C++, Java, and Assembler Compilers
Identity propagation
  • With the introduction of IBM z/OS V1.11, CICS TS V4.1 will support, by year end 2009, the forthcoming z/OS identity propagation capabilities that allow security identities operating in the distributed environment to be associated with security identities used on the server (z/OS user IDs). This enables CICS applications to participate in end-to-end security solutions, and therefore benefit from improved cross-platform accountability and auditing, providing an alternative to custom written identity mapping.

    For identity context propagation functions in CICS TS V4.1, z/OS V1.11 (5694-A01) is required, and also an enabling CICS PTF (the CICS APAR is not available to view yet, but the number will be PK83741 Functional enablement for support of distributed identities). For further details on IBM z/OS V1.11, refer to Software Announcement 209-029, dated February 24, 2009.




CICS TS V4.1 Related Information

Detailed System Requirements for other releases of CICS

Announcement Letter for CICS Transaction Server for z/OS V4.1 (and Additional information)

Ordering CICS products and maintenance

CICS Transaction Server for z/OS V4.1 documentation

CICS books in hardcopy and in the information centers (pdf)

CICS Support Page

CICS Transaction Server and CICS Tools compatibility with z/OS 1.13

Product Alias/Synonym

CICS/TS CICS TS CICS Transaction Server

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

CICS Transaction Server
Installation

Software version:

4.1

Operating system(s):

z/OS

Reference #:

7015718

Modified date:

2013-01-18

Translate my page

Machine Translation

Content navigation